GET /api/agent_builder/plugins

Spaces method and path for this operation:

get /s/{space_id}/api/agent_builder/plugins

Refer to Spaces for more information.

List all installed plugins and their managed assets. Plugins are installable packages that bundle agent capabilities such as skills, following the Claude agent plugin specification.

[Required authorization] Route required privileges: agentBuilder:read.

Responses

  • 200 application/json

    Indicates a successful response

GET /api/agent_builder/plugins
curl \
 -X GET "${KIBANA_URL}/api/agent_builder/plugins" \
 -H "Authorization: ApiKey ${API_KEY}"
GET kbn://api/agent_builder/plugins
Response examples (200)
Example response that returns one installed plugin
{
  "results": [
    {
      "id": "financial-analysis",
      "name": "financial-analysis",
      "version": "1.0.0",
      "manifest": {
        "author": {
          "url": "https://www.anthropic.com",
          "name": "Anthropic"
        },
        "keywords": [
          "finance",
          "analysis"
        ],
        "repository": "https://github.com/anthropics/financial-services-plugins"
      },
      "skill_ids": [
        "financial-analysis-analyze-portfolio"
      ],
      "created_at": "2025-01-01T00:00:00.000Z",
      "source_url": "https://github.com/anthropics/financial-services-plugins/tree/main/financial-analysis",
      "updated_at": "2025-01-01T00:00:00.000Z",
      "description": "Financial analysis tools and skills for Claude",
      "unmanaged_assets": {
        "hooks": [],
        "agents": [],
        "commands": [],
        "lsp_servers": [],
        "mcp_servers": [],
        "output_styles": []
      }
    }
  ]
}